[android-components](../../index.md) / [mozilla.components.service.fxa](../index.md) / [FxaAuthData](index.md) / [&lt;init&gt;](./-init-.md)

# &lt;init&gt;

`FxaAuthData(authType: `[`AuthType`](../../mozilla.components.concept.sync/-auth-type/index.md)`, code: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`, state: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`, declinedEngines: `[`Set`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-set/index.html)`<`[`SyncEngine`](../-sync-engine/index.md)`>? = null)`

Captures basic OAuth authentication data (code, state) and any additional data FxA passes along.

